open Tk;;

let load_image filename =
  let img = Imagephoto.create [File filename] in
  let w = Imagephoto.width img
  and h = Imagephoto.height img in
  img, w, h;;

let display_image wid filename =
  let img, w, h = load_image filename in
  let c =
    Canvas.create wid
     [Width (Pixels w); Height (Pixels h)] in
  let img = 
    Canvas.create_image c (Pixels w) (Pixels h)
     [ImagePhoto img; Anchor SE] in
  c;;

let top = openTk ();;

bind top [[], KeyPressDetail "Escape"]
 (BindSet ([], fun _ -> closeTk ()));

let c = display_image top "baseline.gif" in
pack [c] [];;

mainLoop ();;
